Filter Field Values
curl --request POST \
--url https://api.sixtyfour.ai/search/filter-field-values \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"field": "<string>",
"mode": "company",
"top_k": 25,
"filters": {},
"simple_filters": {}
}
'import requests
url = "https://api.sixtyfour.ai/search/filter-field-values"
payload = {
"field": "<string>",
"mode": "company",
"top_k": 25,
"filters": {},
"simple_filters": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({field: '<string>', mode: 'company', top_k: 25, filters: {}, simple_filters: {}})
};
fetch('https://api.sixtyfour.ai/search/filter-field-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/search/filter-field-values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'field' => '<string>',
'mode' => 'company',
'top_k' => 25,
'filters' => [
],
'simple_filters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/search/filter-field-values"
payload := strings.NewReader("{\n \"field\": \"<string>\",\n \"mode\": \"company\",\n \"top_k\": 25,\n \"filters\": {},\n \"simple_filters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/search/filter-field-values")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"field\": \"<string>\",\n \"mode\": \"company\",\n \"top_k\": 25,\n \"filters\": {},\n \"simple_filters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/search/filter-field-values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"field\": \"<string>\",\n \"mode\": \"company\",\n \"top_k\": 25,\n \"filters\": {},\n \"simple_filters\": {}\n}"
response = http.request(request)
puts response.read_body{
"field": "<string>",
"canonical_field": "<string>",
"value_type": "<string>",
"supports_top_values": true,
"supports_exact_filter_snippet": true,
"total_scoped_documents": 123,
"mode": "company",
"nested_path": "<string>",
"related_fields": [
"<string>"
],
"preferred_for_exact_match": false,
"values": [
{
"count": 123,
"percent_of_scope": 123,
"value": "<string>",
"filter_snippet": {}
}
]
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Search not found or has no parsed_query.",
"code": "not_found",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded: 200 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": {
"code": "<string>",
"detail": "<string>",
"retryable": true
},
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}{
"detail": {
"code": "<string>",
"detail": "<string>",
"retryable": true
},
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}{
"detail": {
"code": "<string>",
"detail": "<string>",
"retryable": true
},
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}Search
Filter Field Values
Get the top values by count for a single filter-search field.
POST
/
search
/
filter-field-values
Filter Field Values
curl --request POST \
--url https://api.sixtyfour.ai/search/filter-field-values \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"field": "<string>",
"mode": "company",
"top_k": 25,
"filters": {},
"simple_filters": {}
}
'import requests
url = "https://api.sixtyfour.ai/search/filter-field-values"
payload = {
"field": "<string>",
"mode": "company",
"top_k": 25,
"filters": {},
"simple_filters": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({field: '<string>', mode: 'company', top_k: 25, filters: {}, simple_filters: {}})
};
fetch('https://api.sixtyfour.ai/search/filter-field-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/search/filter-field-values",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'field' => '<string>',
'mode' => 'company',
'top_k' => 25,
'filters' => [
],
'simple_filters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/search/filter-field-values"
payload := strings.NewReader("{\n \"field\": \"<string>\",\n \"mode\": \"company\",\n \"top_k\": 25,\n \"filters\": {},\n \"simple_filters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/search/filter-field-values")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"field\": \"<string>\",\n \"mode\": \"company\",\n \"top_k\": 25,\n \"filters\": {},\n \"simple_filters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/search/filter-field-values")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"field\": \"<string>\",\n \"mode\": \"company\",\n \"top_k\": 25,\n \"filters\": {},\n \"simple_filters\": {}\n}"
response = http.request(request)
puts response.read_body{
"field": "<string>",
"canonical_field": "<string>",
"value_type": "<string>",
"supports_top_values": true,
"supports_exact_filter_snippet": true,
"total_scoped_documents": 123,
"mode": "company",
"nested_path": "<string>",
"related_fields": [
"<string>"
],
"preferred_for_exact_match": false,
"values": [
{
"count": 123,
"percent_of_scope": 123,
"value": "<string>",
"filter_snippet": {}
}
]
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Search not found or has no parsed_query.",
"code": "not_found",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded: 200 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": {
"code": "<string>",
"detail": "<string>",
"retryable": true
},
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}{
"detail": {
"code": "<string>",
"detail": "<string>",
"retryable": true
},
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}{
"detail": {
"code": "<string>",
"detail": "<string>",
"retryable": true
},
"feedback": "<string>",
"code": "<string>",
"correlation_id": "<string>"
}Body
application/json
Request for top values of a single field.
Response
Successful Response
Top values response for one field.
Was this page helpful?